Summary: Batch Local ASCII Helper Protocol suite
Name: glite-ce-blahp
Version: 1.18.4
Release: 0.el6
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: %{_arch}
BuildRequires: cmake, classads-devel, docbook-style-xsl, libxslt
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%global debug_package %{nil}

%description
The BLAHP daemon is a light component accepting commands to manage jobs
on different Local Resources Management Systems

%prep
 

%setup -c -q

%build
cmake -DCMAKE_INSTALL_PREFIX:string=%{buildroot} %{_builddir}/%{name}-%{version}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install
mkdir -p %{buildroot}/var/blah

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ] ; then
    /sbin/chkconfig --add glite-ce-blah-parser

    if [ ! "x`grep tomcat /etc/passwd`" == "x" ] ; then
        mkdir -p /var/log/cream/accounting
        chown root.tomcat /var/log/cream/accounting
        chmod 0730 /var/log/cream/accounting
        
        mkdir -p /var/blah
        chown tomcat.tomcat /var/blah
        chmod 771 /var/blah
    
    fi
fi


%preun
if [ $1 -eq 0 ] ; then
    /sbin/service glite-ce-blah-parser stop >/dev/null 2>&1
    /sbin/chkconfig --del glite-ce-blah-parser

    if [ -d /var/log/cream/accounting ] ; then
        rm -rf /var/log/cream/accounting 
    fi
    
    if [ -d /var/blah ] ; then
        rm -rf /var/blah
    fi
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/blparser.conf.template
%config(noreplace) /etc/blah.config.template
/etc/rc.d/init.d/glite-ce-*
/usr/libexec/*
/usr/sbin/*
/usr/bin/*
%doc /usr/share/man/man1/*.1.gz
%dir /usr/share/doc/glite-ce-blahp-1.18.4/
%doc /usr/share/doc/glite-ce-blahp-1.18.4/LICENSE
%dir /var/blah


%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.18.4-0.el6
- New major release


